## dovecot 2.2.9

=== debian/changelog ===
dovecot (1:2.2.9-1ubuntu2) trusty; urgency=medium

  * d/dovecot-core.config: Drop db_input for ssl-cert-exists; this message 
    not actually an error, is documented in the README.Debian, and blocks
    automated upgrades (LP: #1278897). 

 -- James Page <james.page@ubuntu.com>  Fri, 07 Mar 2014 12:42:58 +0000

dovecot (1:2.2.9-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Add mail-stack-delivery package:
      - Update d/rules
      - d/control: convert existing dovecot-postfix package to a dummy
        package and add new mail-stack-delivery package.
      - Update maintainer scripts.
      - Rename d/dovecot-postfix.* to debian/mail-stack-delivery.*
      - d/mail-stack-delivery.preinst: Move previously installed backups and
        config files to a new package namespace.
      - d/mail-stack-delivery.prerm: Added to handle downgrades.
    + Use Snakeoil SSL certificates by default:
      - d/control: Depend on ssl-cert.
      - d/dovecot-core.postinst: Relax grep for SSL_* a bit.
    + Add autopkgtest to debian/tests/*.
    + Add ufw integration:
      - d/dovecot-core.ufw.profile: new ufw profile.
      - d/rules: install profile in dovecot-core.
      - d/control: dovecot-core - suggest ufw.
    + d/dovecot-core.dirs: Added usr/share/doc/dovecot-core
    + Add apport hook:
      - d/rules, d/source_dovecot.py
    + Add upstart job:
      - d/rules, d/dovecot-core.dovecot.upstart, d/control,
        d/dovecot-core.dirs, dovecot-imapd.{postrm, postinst, prerm},
        d/dovecot-pop3d.{postinst, postrm, prerm}.
        d/mail-stack-deliver.postinst: Convert init script to upstart.
    + Use the autotools-dev dh addon to update config.guess/config.sub for
      arm64.
  * Dropped changes, included in Debian:
    - Update Dovecot name to reflect distribution in login greeting.
    - Update Drac plugin for >= 2.0.0 support.
  * d/control: Drop dovecot-postfix package as its no longer required.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jan 2014 09:35:49 +0000

dovecot (1:2.2.9-1) unstable; urgency=low

  [ Jaldhar H. Vyas ]
  * [77468cf] Imported Upstream version 2.2.9
  * [43e08f3] Place dovenull user in its own group. (Closes: #725164)
  * [e1a3e9c] Handled the fact that dovecot-db.conf.ext is no longer used.
    (Closes: #728107, #730403)

  [Debconf translation updates]
  * Russian (Yuri Kozlov).  (Closes: #729106)
  * German (Chris Leick).  (Closes: #729358)
  * Danish (Joe Hansen).  (Closes: #729425)
  * French (Julien Patriarca).  (Closes: #729966)
  * Portuguese (Américo Monteiro).  (Closes: #730006)
  * Polish (Michał Kułach).  (Closes: #730061)
  * Italian (Beatrice Torracca).  (Closes: #730136)
  * Japanese (victory).  (Closes: #73017)
  * Swedish (Martin Bagge / brother).  (Closes: #730188)
  * Spanish; (Camaleón).  (Closes: #730354)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 28 Nov 2013 00:40:37 -0500

dovecot (1:2.2.8-1) UNRELEASED; urgency=low

  * [6157a2b] New upstream version 2.2.8

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 21 Nov 2013 16:54:46 -0500

dovecot (1:2.2.5-1) experimental; urgency=low
  [ Micah Anderson ]
  * [a0035bf] New upstream version 2.2.5
  * [a053c49] Update pigeonhole patch to 0.4.1
  * [689cd67] refreshed patches

  [ Jaldhar H. Vyas ]
  * Caused bugs and then fixed them again.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 09 Sep 2013 00:57:32 -0400

dovecot (1:2.1.17-2) unstable; urgency=low

  * [e8286e0] New version of drac patch taken from Ubuntu which works better
    with 2.x (Closes: #716764)
  * [23acb40] Add a patch from Ubuntu to report the distro name in the login
    banner why not.
  * [f8d566e] Don't need dovecot-common package anymore; get rid of it.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 07 Sep 2013 14:58:05 -0400

dovecot (1:2.1.17-1) experimental; urgency=low

  [ Jaldhar H. Vyas ]
  * [fa0d6aa] Re-enable mbox write locking patch to comply with policy 11.6
    (Closes: #720502)
  * [38691fb] New upstream version (Closes: #719021)
  * [1361144] prompts in dovecot-core postinst debconfiscated.
  * IN MEMORIAM: Goldy the Goldfish (2000-2013)  You were a prince (or
    perhaps princess?) among fish and we shall all miss you dearly.
    May your karmas merit much punya in future lives.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 23 Aug 2013 01:46:20 -0400

dovecot (1:2.1.16-1) experimental; urgency=low

  * [9741bd8] New Upstream version
  * [3476489] Updated pigeonhole patch to 0.3.5
  * [d4f236f] Removed some patches which are no longer required.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 14 Jun 2013 16:25:19 -0400

dovecot (1:2.1.7-8) experimental; urgency=low

  * This version is not actually intended for upload.  It merely undoes
    some changes made for the the wheezy release.  Namely, the following
    features are back:
    - TCP Wrappers support
    - Hurd compatibility support
    - Triggers.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 13 Jun 2013 16:14:21 -0400

dovecot (1:2.1.7-7ubuntu3) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Oct 2013 11:55:27 +0100

dovecot (1:2.1.7-7ubuntu2) saucy; urgency=low

  * debian/patches/dovecot_name.patch: updated Dovecot name to reflect 
    distribution in login greeting
  * debian/control: added lsb-release as build-dependency
  * debian/rules: added autoconf in config-stamp

 -- Yolanda Robla <yolanda.robla@canonical.com>  Wed, 26 Jun 2013 08:34:42 +0200
