=== debian/tests/control ===
Tests: general
Restrictions: needs-root
Features: no-build-needed
Depends: python, dovecot-imapd, dovecot-pop3d
