## dovecot 2.2.13

=== debian/changelog ===
dovecot (1:2.2.13-11~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Disable systemd which is not in wheezy
  * Disable lucene because liblucene is too old in wheezy

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 30 Jan 2015 09:30:45 +0100

dovecot (1:2.2.13-11) unstable; urgency=high

  * [ebc0377] Don't allow install of dovecot-sieve without a new enough
    dovecot-core. (Closes: #772885)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 14 Dec 2014 12:27:50 -0500

dovecot (1:2.2.13-10) unstable; urgency=high

  [ Jelmer Vernooij ]
  * [93db7f0] Fix path to 90-sieve-extprograms.conf in dovecot-sieve.postinst.
    Closes: #772703, #772711

  [ Jaldhar H. Vyas ]
  * [8c627a4] Add another db_stop this time for triggers.  Die #770695 die!

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 10 Dec 2014 19:56:20 -0500

dovecot (1:2.2.13-9) unstable; urgency=high

  * [5b689f6] Made some overlooked configuration files into conffiles;
    deleted excess files from /usr/share/doc/dovecot-core.
  * [83f2fc4] Explicitly stop debconf in dovecot-core postinst which hopefully
    fixes the last of the install hangs.
    Thanks to Chris Gilbert <zeke.gilbert@gmail.com> (Closes: #770695)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 09 Dec 2014 06:17:23 -0500

dovecot (1:2.2.13-8) unstable; urgency=medium

  * [b2f652f] Turn off SSL by default and leave SSL cert locations commented
    out. Hopefully this will be a satisfactory lowest common denominator for
    new installs without messing with upgrades.
    (Closes: #771334, #771407)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 02 Dec 2014 00:21:30 -0500

dovecot (1:2.2.13-7) unstable; urgency=high

  * [daea09a] Commented out cert locations so install doesn't bomb if the
    certs haven't been created yet.
    (Closes: #706216, #732263, #767154, #768253, #769461, #770697)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 28 Nov 2014 00:27:03 -0500

dovecot (1:2.2.13-6) unstable; urgency=medium

  * [f7205c0] dovecot-dev: removed dependency on dovecot-core
  * [e393868] Removed SSL certificate generation from postinst.  From now on
    you have to do this yourself.  See dovecot-core's README.debian for
    instructions. (Closes: #730828)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 25 Oct 2014 23:31:42 -0400

dovecot (1:2.2.13-5) unstable; urgency=medium

  * Fix name of organizationName field in SSL configuration for self-
    signed certs. Closes: #760653

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 06 Sep 2014 23:19:51 +0200

dovecot (1:2.2.13-4) unstable; urgency=medium

  * Add Provides with dovecot ABI version, for plugins to depend on.
    Closes: #456021

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Jul 2014 19:31:09 +0200

dovecot (1:2.2.13-3) unstable; urgency=medium

  * Build-depend on clucene 2.3 or later, which upstream lists as the
    minimum version. Closes: #754141
  * Use configuration file for openssl certificate configuration.
  * Use canonical address for Vcs-Browser header.
  * Remove unnecessary asterisk from NEWS entry; fixes lintian warning.
  * Remove unused lintian override for usr/lib/dovecot/imap.
  * dovecot-core: Ignore lintian warnings for empty directories.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 08 Jul 2014 01:48:08 +0200

dovecot (1:2.2.13-2) unstable; urgency=medium

  * [bd5e34b] Patches from upstreams' hg repo to fix BYE and LOGOUT not being 
    sent. (Closes: #751682)
  * [452e336] Czech translation for debconf.
    Thanks to Michal Šimůnek (Closes: #751389)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 25 Jun 2014 01:38:59 -0400

dovecot (1:2.2.13-1) unstable; urgency=medium

  * [0680040] Imported Upstream version 2.2.13

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 May 2014 18:45:38 +0200

dovecot (1:2.2.13~rc1-1) unstable; urgency=medium

  * [7751508] Imported Upstream version 2.2.13~rc1
    + Fixes denial of service vulnerability (CVE-2014-3430). Closes: #747549

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 10 May 2014 14:34:14 +0200

dovecot (1:2.2.12-3) unstable; urgency=medium

  * [0383db0] Break long line.
  * [c961b6a] Fix installation of sieve plugins. Closes: #742770, #684271
  * [388d2bf] Strip body.rfc5173.txt from the pigeonhole patch, as it is
    non-free. Closes: #745398

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 23 Apr 2014 02:56:56 +0200

dovecot (1:2.2.12-2) unstable; urgency=medium

  * [c882a38] Add build dependencies libstemmer-dev and libexttextcat-dev,
    used by dovecot-lucene.
  * [67762d4] Use autotools-dev to update config.guess and config.sub.
  * [33e79b7] Update Japenese po file. Thanks, victory. Closes: #730171
  * [cbf213b] Add non-standard-dir-perm override for /etc/dovecot/private.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Mar 2014 17:57:04 +0000

dovecot (1:2.2.12-1) experimental; urgency=medium

  * [52b67de] Update watch file for 2.2 series.
  * [c4eac1f] Verify upstream tarball signature in watch file.
  * [3a81ff9] Imported Upstream version 2.2.12
  * [8950a86] Bump standards version to 3.9.5 (no changes).
  * [cd82417] Add myself to uploaders.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 06 Mar 2014 22:45:19 +0000

dovecot (1:2.2.10-1) unstable; urgency=low

  * [0496c52] Imported Upstream version 2.2.10
  * [515dd61] Added new package for Lucene full text search support.
    Thanks to Jelmer Vernooij <jelmer@debian.org> for the patch.
    (Closes: #685979)
  * [718a68e] Fix old private key location in README.Debian.
    Thanks to Jelmer Vernooij <jelmer@debian.org> for the patch.
    (Closes: #702385)
  * [42da568] dovecot-solr: Make sure solr-schema.xml gets installed.
    (In /usr/share/dovecot)
    (Closes: #695185)
  * [77acbf7] Added /usr/share/dovecot/dovecot-abi file in dovecot-dev to
    document -- you guessed it! -- the dovecot ABI version.
  * [feb597a] Added support for xz compression.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 06 Mar 2014 02:51:34 -0500
