=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
-export DEB_BUILD_HARDENING=1
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -27,7 +26,6 @@
 config-stamp: configure
 	dh_testdir
 	dh_autotools-dev_updateconfig
-	autoconf
 	# Dovecot
 	$(shell $(dpkg_buildflags) --export=configure) sh configure \
 	            --with-ldap=plugin \
@@ -74,6 +72,7 @@
 	$(MAKE) -C $(PIGEONHOLE_DIR)
 	# DRAC
 	$(MAKE) -C src/plugins/drac $(shell $(drac_buildflags) --export=configure)
+
 	touch build-stamp
 
 clean:
@@ -86,8 +85,8 @@
 	[ ! -f $(PIGEONHOLE_DIR)/Makefile ] || $(MAKE) -C $(PIGEONHOLE_DIR) distclean
 	# Cleanup DRAC
 	rm -f src/plugins/drac/drac_plugin.so
+	# debconf-updatepo
 	dh_autotools-dev_restoreconfig
-	debconf-updatepo
 	dh_clean
 
 install: build
@@ -111,12 +110,21 @@
 		$(CURDIR)/debian/dovecot-core/usr/share/dovecot/conf.d/
 	install -o root -g root -m 0644 $(CURDIR)/$(PIGEONHOLE_DIR)/doc/example-config/conf.d/*.conf \
 		$(CURDIR)/debian/dovecot-core/usr/share/dovecot/conf.d/
-	install -m644 debian/dovecot-core.ufw.profile debian/dovecot-core/etc/ufw/applications.d/dovecot-core
 	install -D -m 0755 -o root -g root $(CURDIR)/debian/maildirmake.dovecot $(CURDIR)/debian/dovecot-core/usr/bin/maildirmake.dovecot
-	mv $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot-core
+	install -o root -g root -m 0644 $(CURDIR)/debian/openssl.cnf \
+		$(CURDIR)/debian/dovecot-core/usr/share/dovecot/dovecot-openssl.cnf
+	install -o root -g root -m 0755 $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot/mkcert.sh \
+		$(CURDIR)/debian/dovecot-core/usr/share/dovecot/
+	rm $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot/mkcert.sh
+	rm $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot/dovecot-openssl.cnf
+	mv $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot/*.txt $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot-core
+	mv $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot/sieve $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot-core
+	mv $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot/wiki $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot-core
 	cp $(PIGEONHOLE_DIR)/ChangeLog $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot-core/pigeonhole.ChangeLog
 	cp $(PIGEONHOLE_DIR)/README $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot-core/pigeonhole.README
 	cp $(PIGEONHOLE_DIR)/NEWS $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot-core/pigeonhole.NEWS
+	rm -rf $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot
+	rm -rf $(CURDIR)/debian/dovecot-core/usr/share/doc/dovecot-core/example-config
 
 	# imapd
 	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/imap* $(CURDIR)/debian/dovecot-imapd/usr/lib/dovecot
@@ -152,13 +160,3 @@
 	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/modules/libdriver_sqlite* $(CURDIR)/debian/dovecot-sqlite/usr/lib/dovecot/modules
 
 	# gssapi
-	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/modules/auth/libmech_gssapi* $(CURDIR)/debian/dovecot-gssapi/usr/lib/dovecot/modules/auth
-
-	# ldap
-	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/modules/auth/libauthdb_ldap* $(CURDIR)/debian/dovecot-ldap/usr/lib/dovecot/modules/auth
-	mv $(CURDIR)/debian/dovecot-core/usr/share/dovecot/*-ldap.conf.ext $(CURDIR)/debian/dovecot-ldap/usr/share/dovecot
-	mv $(CURDIR)/debian/dovecot-core/usr/share/dovecot/conf.d/*-ldap.conf.ext $(CURDIR)/debian/dovecot-ldap/usr/share/dovecot/conf.d
-
-	# sieve
-	mv $(CURDIR)/debian/dovecot-core/usr/bin/sieve* $(CURDIR)/debian/dovecot-sieve/usr/bin
-	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/modules/lib??_sieve* $(CURDIR)/debian/dovecot-sieve/usr/lib/dovecot/modules
