## dovecot 2.2.18

=== debian/changelog ===
dovecot (1:2.2.18-2ubuntu2) wily; urgency=medium

  * Merge with Debian (after 552 days); remaining changes:
    + Add mail-stack-delivery package:
      - Update d/rules
      - d/control: convert existing dovecot-postfix package to a dummy
        package and add new mail-stack-delivery package.
      - Update maintainer scripts.
      - Rename d/dovecot-postfix.* to debian/mail-stack-delivery.*
      - d/mail-stack-delivery.preinst: Move previously installed backups and
        config files to a new package namespace.
      - d/mail-stack-delivery.prerm: Added to handle downgrades.
    + Use Snakeoil SSL certificates by default:
      - d/control: Depend on ssl-cert.
    + Add autopkgtest to debian/tests/*.
    + Add ufw integration:
      - d/dovecot-core.ufw.profile: new ufw profile.
      - d/rules: install profile in dovecot-core.
      - d/control: dovecot-core - suggest ufw.
    + d/dovecot-core.dirs: Added usr/share/doc/dovecot-core
    + Add apport hook:
      - d/rules, d/source_dovecot.py
    + Add upstart job:
      - d/rules, d/dovecot-core.dovecot.upstart, d/control,
        d/dovecot-core.dirs, dovecot-imapd.{postrm, postinst, prerm},
        d/dovecot-pop3d.{postinst, postrm, prerm}.
        d/mail-stack-deliver.postinst: Convert init script to upstart.
    + d/control: Drop dovecot-postfix package as its no longer required.
    + Rename init.d script to work with the dh_installinit --name option, so
      that it comes back.
  * Drop build dependency on libstemmer-dev (universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Sep 2015 13:58:42 +0200

dovecot (1:2.2.18-2) unstable; urgency=high

  * [3f3bf71] Updated pigeonhole patch to 0.4.8 (Closes: #792669)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 23 Aug 2015 23:16:28 -0400

dovecot (1:2.2.18-1) unstable; urgency=medium

  * [cce20a5] Imported Upstream version 2.2.18. Closes: #786760
  * [36d2ec1] Refresh patch dovecot_name.patch.
  * [109e6f8] Drop patch cve-2015-3420.patch: applied upstream.
  * [6c59f09] Depend on krb5-multidev rather than libkrb5-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 24 May 2015 15:01:19 +0000

dovecot (1:2.2.16-1) unstable; urgency=medium

  * [e9d9193] Imported Upstream version 2.2.16
  * [976c256] Remove gbp- prefix from section names in debian/gbp.conf.
  * [762b9a6] Add Dutch translation. Thanks, Frans Spiesschaert. Closes: #766203
  * [dea3dd6] Drop bye_logout_not_sent.patch: already included upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 May 2015 12:23:05 +0000

dovecot (1:2.2.13-12) unstable; urgency=high

  * [48f6fe4] Add patch cve-2015-3420.patch: Fix SSL/TLS handshake failures
    leading to a crash of the login process with newer versions of OpenSSL.
    Closes: #783649 (CVE-2015-3420)

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 May 2015 11:38:30 +0000

dovecot (1:2.2.9-1ubuntu5) utopic; urgency=medium

  * No-change rebuild against current debhelper to drop unnecessary upstart
    dependency. (LP: #1351306)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 03 Sep 2014 09:50:41 +0200

dovecot (1:2.2.9-1ubuntu4) utopic; urgency=medium

  * Rename init.d script to work with the dh_installinit --name option, so
    that it comes back. (LP: #1323274)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 May 2014 14:24:43 +0200

dovecot (1:2.2.9-1ubuntu3) utopic; urgency=medium

  * SECURITY UPDATE: denial of service via SSL connection exhaustion
    - debian/patches/CVE-2014-3430.patch: properly close connections in
      src/login-common/client-common.c,
      src/login-common/ssl-proxy-openssl.c,
      src/login-common/ssl-proxy.h.
    - CVE-2014-3430

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 15 May 2014 10:19:29 -0400
