=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testdir
 	dh_autotools-dev_updateconfig
 	# Dovecot
-	$(shell $(dpkg_buildflags) --export=configure) sh configure \
+	KRB5CONFIG=krb5-config.mit $(shell $(dpkg_buildflags) --export=configure) sh configure \
 	            --with-ldap=plugin \
 	            --with-ssl=openssl \
 	            --with-sql=plugin \
@@ -38,6 +38,7 @@
 		        --with-solr \
 	            --with-ioloop=best \
 	            --with-libwrap \
+	            --with-lucene \
 	            --host=$(DEB_HOST_GNU_TYPE) \
 	            --build=$(DEB_BUILD_GNU_TYPE) \
 	            --prefix=/usr \
@@ -110,6 +111,7 @@
 		$(CURDIR)/debian/dovecot-core/usr/share/dovecot/conf.d/
 	install -o root -g root -m 0644 $(CURDIR)/$(PIGEONHOLE_DIR)/doc/example-config/conf.d/*.conf \
 		$(CURDIR)/debian/dovecot-core/usr/share/dovecot/conf.d/
+	install -m644 debian/dovecot-core.ufw.profile debian/dovecot-core/etc/ufw/applications.d/dovecot-core
 	install -D -m 0755 -o root -g root $(CURDIR)/debian/maildirmake.dovecot $(CURDIR)/debian/dovecot-core/usr/bin/maildirmake.dovecot
 	install -o root -g root -m 0644 $(CURDIR)/debian/openssl.cnf \
 		$(CURDIR)/debian/dovecot-core/usr/share/dovecot/dovecot-openssl.cnf
@@ -157,6 +159,3 @@
 	# sqlite
 	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/modules/auth/libdriver_sqlite* $(CURDIR)/debian/dovecot-sqlite/usr/lib/dovecot/modules/auth
 	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/modules/dict/libdriver_sqlite* $(CURDIR)/debian/dovecot-sqlite/usr/lib/dovecot/modules/dict
-	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/modules/libdriver_sqlite* $(CURDIR)/debian/dovecot-sqlite/usr/lib/dovecot/modules
-
-	# gssapi
